GNU bug report logs - #14364
Bug Report: Lacking '=' when specifying -soname

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Bob Fischer <rpf2116@HIDDEN>; dated Tue, 7 May 2013 21:53:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at 14364 <at> debbugs.gnu.org:


Received: (at 14364) by debbugs.gnu.org; 8 May 2013 21:00:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 17:00:20 2013
Received: from localhost ([127.0.0.1]:34157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UaBTH-0003Rl-St
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 17:00:20 -0400
Received: from mail.lysator.liu.se ([130.236.254.3]:51335)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <peda@HIDDEN>) id 1UaBTD-0003RZ-JW
	for 14364 <at> debbugs.gnu.org; Wed, 08 May 2013 17:00:17 -0400
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
	by mail.lysator.liu.se (Postfix) with ESMTP id 58F034000F;
	Wed,  8 May 2013 23:00:13 +0200 (CEST)
Received: from [192.168.0.64] (90-227-119-137-no95.business.telia.com
	[90.227.119.137])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mail.lysator.liu.se (Postfix) with ESMTPSA id EAB1440009;
	Wed,  8 May 2013 23:00:12 +0200 (CEST)
Message-ID: <518ABCDB.5090604@HIDDEN>
Date: Wed, 08 May 2013 23:00:11 +0200
From: Peter Rosin <peda@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:17.0) Gecko/20130328 Thunderbird/17.0.5
MIME-Version: 1.0
To: Bob Fischer <rpf2116@HIDDEN>
Subject: Re: bug#14364: Bug Report: Lacking '=' when specifying -soname
References: <51896DE4.7060301@HIDDEN> <518A01A4.4040004@HIDDEN>
	<AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
In-Reply-To: <AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: -3.3 (---)
X-Debbugs-Envelope-To: 14364
Cc: 14364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)

On 2013-05-08 13:13, Bob Fischer wrote:
>>
>>
>> So, the problem does not appear to be the command line libtool is
>> generating. I.e., the problem appears to be elsewhere.
> 
> At the end of the day, things don't work.  I run the following on my configure script, and then things do work:
>     sed -i 's/-soname \$wl/-soname=/g' configure

I'm sure there are other places you can patch to make this work.

> Thanks for digging up the stuff in the manuals.  Unfortunately, manuals don't always match reality.  This is not a stock GNU ld 2.20, but rather one that's been hacked by SLSE 11.
>    GNU ld (GNU Binutils; SUSE Linux Enterprise 11) 2.20.0.20100122-0.7.9
> 
> That would make it technically a SUSE bug.  But maybe they don't care.  Or they've already fixed it  Or they think it's a feature, not a bug.  At the end of the day, scripts generated by libtool are broken.  Upgrading libtool is much easier than upgrading ld.  This is a shared system and I can't realistically use a different GNU ld; however, I can use a different libtool.

Saying that this problem is caused by libtool is not really fair, when libtool
uses a construct that is documented and presumably works for "everybody else".

Have you even verified if your ld groks -soname libfoo.so.0 without the equal
sign before pointing fingers at ld? Have you checked if it is some interaction
with the g++ compiler driver stomping arguments?

Trying to run the g++ command printed by libtool manually, but inserting
a -v to see how g++ invokes the low level tools might be illuminating.

> Since the two forms are supposed to be equivalent, would it be possible to change libtool to use the '=' form?  Or maybe make a change with smaller scope: use the '=' form for certain versions of GNU ld, maybe specific to SLES?

Maybe, doesn't sound too exotic, but it's not my area of expertise.

> I'd also be relatively happy if there was a way I could build the configure.ac file to work around this problem --- in essence, override the '-soname' with '-soname=' coming from the standard libtool.  However, libtool looks like it's a little all-or-nothing, and not quite amenable to incremental overrides (hence the see hack).  I'm wondering if maybe generating '-soname=' for specific versions of SUSE ld would be the most expedient way to solve this problem.

I'm not so sure the SLES ld is to blame, it even seems unlikely.

Cheers,
Peter





Information forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.

Message received at 14364 <at> debbugs.gnu.org:


Received: (at 14364) by debbugs.gnu.org; 8 May 2013 15:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 11:48:09 2013
Received: from localhost ([127.0.0.1]:34011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ua6bA-0006dm-Dh
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 11:48:08 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:50620)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vapier@HIDDEN>) id 1Ua6b6-0006dR-Cu
	for 14364 <at> debbugs.gnu.org; Wed, 08 May 2013 11:48:06 -0400
Received: from vapier.localnet (localhost [127.0.0.1])
	by smtp.gentoo.org (Postfix) with ESMTP id 4DD9633DFA1;
	Wed,  8 May 2013 15:46:54 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
Organization: wh0rd.org
To: bug-libtool@HIDDEN
Subject: Re: bug#14364: Bug Report: Lacking '=' when specifying -soname
Date: Wed, 8 May 2013 11:46:54 -0400
User-Agent: KMail/1.13.7 (Linux/3.8.3; KDE/4.6.5; x86_64; ; )
References: <51896DE4.7060301@HIDDEN> <518A01A4.4040004@HIDDEN>
	<AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
In-Reply-To: <AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart2205131.bOkyBq2AVo";
	protocol="application/pgp-signature"; micalg=pgp-sha1
Content-Transfer-Encoding: 7bit
Message-Id: <201305081146.56309.vapier@HIDDEN>
X-Spam-Score: -5.6 (-----)
X-Debbugs-Envelope-To: 14364
Cc: Bob Fischer <rpf2116@HIDDEN>, Peter Rosin <peda@HIDDEN>,
	14364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -8.3 (--------)

--nextPart2205131.bOkyBq2AVo
Content-Type: Text/Plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

On Wednesday 08 May 2013 07:13:41 Bob Fischer wrote:
> > So, the problem does not appear to be the command line libtool is
> > generating. I.e., the problem appears to be elsewhere.
>=20
> At the end of the day, things don't work.  I run the following on my
> configure script, and then things do work: sed -i 's/-soname
> \$wl/-soname=3D/g' configure
>=20
> Thanks for digging up the stuff in the manuals.  Unfortunately, manuals
> don't always match reality.  This is not a stock GNU ld 2.20, but rather
> one that's been hacked by SLSE 11. GNU ld (GNU Binutils; SUSE Linux
> Enterprise 11) 2.20.0.20100122-0.7.9
>=20
> That would make it technically a SUSE bug.  But maybe they don't care.  Or
> they've already fixed it  Or they think it's a feature, not a bug.  At the
> end of the day, scripts generated by libtool are broken.  Upgrading
> libtool is much easier than upgrading ld.  This is a shared system and I
> can't realistically use a different GNU ld; however, I can use a different
> libtool.

of course you can use a different GNU ld.  build & install a different binu=
tils=20
package yourself.  and file a bug with the SUSE maintainers.
=2Dmike

--nextPart2205131.bOkyBq2AVo
Content-Type: application/pgp-signature; name=signature.asc 
Content-Description: This is a digitally signed message part.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)

iQIcBAABAgAGBQJRinNwAAoJEEFjO5/oN/WBflAP/16Xeiq5XSc1Azor+571SzQF
OfOZzWPF9vGrzZcYxd0RN3ENL9SwpLG9rf+sJPggc/+lHqijRZsJOkUM08qawZ7y
OXwic/mpb6VrSc3/aBExILPWzN8nifFASr307eV3YIffO23wiks/Hdje0eD0DSPi
NcHZihJGxB3GJPADAj0vLSeEYwaV92JFJSNObdvRKdsOg4asAJLtHbAZ/rt12EvA
Q8CpaUl++6wGLmi+dXbnT91xnVEtz9DCMP0Ak0SlAJdsbe9M5jd7Sp1x0N+uCiBN
21CGwDE2avg/XfNMfKaUMa6DVMIt+IyUb1td8FZvqsbTPALwiicweuUlmsWlgbgZ
6O9OEffAjAr0PJ23DGPS+C9bugzTdUXyOcxYi0OXSNcngqNguYy52doYaEewgJsM
pHoIgvO0GOGPypAwp18Oz3/uHoF336rnNGbWYwgSz0WOCkPJ6lDtTBJz1NpXVr7f
01ooPY7yZ2IfPNsnJRgtTB+Hspmnj/7AufVr/L4oz1PEJSEwNBPj/fqDvipp54gR
s9y/vLZdLfDE9jrb1RuUi9JiYlSVrq6r1KGipkW3q0JOEmel2mekFzeBiyVI5b2j
aLy7w9nxM5P/ntZnjGwseOf3tgiY4hAlkjHvv0qpiNJ/EkyTRA0qAqvQ4FtuFG/q
FNGywYFE9bQsFcW/EJL/
=32aF
-----END PGP SIGNATURE-----

--nextPart2205131.bOkyBq2AVo--




Information forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 May 2013 15:48:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 11:48:13 2013
Received: from localhost ([127.0.0.1]:34014 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ua6bF-0006eE-4X
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 11:48:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36467)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <vapier@HIDDEN>) id 1Ua6bA-0006dn-Ic
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 11:48:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vapier@HIDDEN>) id 1Ua6a2-0002OO-96
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 11:46:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-106.4 required=5.0 tests=BAYES_40, RCVD_IN_DNSWL_HI, 
	RP_MATCHES_RCVD,
	USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:35789)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vapier@HIDDEN>) id 1Ua6a2-0002OI-5N
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 11:46:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47811)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vapier@HIDDEN>) id 1Ua6a0-0005n4-5z
	for bug-libtool@HIDDEN; Wed, 08 May 2013 11:46:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <vapier@HIDDEN>) id 1Ua6Zz-0002MV-0K
	for bug-libtool@HIDDEN; Wed, 08 May 2013 11:46:56 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:34577)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <vapier@HIDDEN>) id 1Ua6Zy-0002MP-Rs
	for bug-libtool@HIDDEN; Wed, 08 May 2013 11:46:54 -0400
Received: from vapier.localnet (localhost [127.0.0.1])
	by smtp.gentoo.org (Postfix) with ESMTP id 4DD9633DFA1;
	Wed,  8 May 2013 15:46:54 +0000 (UTC)
From: Mike Frysinger <vapier@HIDDEN>
Organization: wh0rd.org
To: bug-libtool@HIDDEN
Subject: Re: bug#14364: Bug Report: Lacking '=' when specifying -soname
Date: Wed, 8 May 2013 11:46:54 -0400
User-Agent: KMail/1.13.7 (Linux/3.8.3; KDE/4.6.5; x86_64; ; )
References: <51896DE4.7060301@HIDDEN> <518A01A4.4040004@HIDDEN>
	<AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
In-Reply-To: <AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart2205131.bOkyBq2AVo";
	protocol="application/pgp-signature"; micalg=pgp-sha1
Content-Transfer-Encoding: 7bit
Message-Id: <201305081146.56309.vapier@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
Cc: Bob Fischer <rpf2116@HIDDEN>, Peter Rosin <peda@HIDDEN>,
	14364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--nextPart2205131.bOkyBq2AVo
Content-Type: Text/Plain;
  charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

On Wednesday 08 May 2013 07:13:41 Bob Fischer wrote:
> > So, the problem does not appear to be the command line libtool is
> > generating. I.e., the problem appears to be elsewhere.
>=20
> At the end of the day, things don't work.  I run the following on my
> configure script, and then things do work: sed -i 's/-soname
> \$wl/-soname=3D/g' configure
>=20
> Thanks for digging up the stuff in the manuals.  Unfortunately, manuals
> don't always match reality.  This is not a stock GNU ld 2.20, but rather
> one that's been hacked by SLSE 11. GNU ld (GNU Binutils; SUSE Linux
> Enterprise 11) 2.20.0.20100122-0.7.9
>=20
> That would make it technically a SUSE bug.  But maybe they don't care.  Or
> they've already fixed it  Or they think it's a feature, not a bug.  At the
> end of the day, scripts generated by libtool are broken.  Upgrading
> libtool is much easier than upgrading ld.  This is a shared system and I
> can't realistically use a different GNU ld; however, I can use a different
> libtool.

of course you can use a different GNU ld.  build & install a different binu=
tils=20
package yourself.  and file a bug with the SUSE maintainers.
=2Dmike

--nextPart2205131.bOkyBq2AVo
Content-Type: application/pgp-signature; name=signature.asc 
Content-Description: This is a digitally signed message part.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (GNU/Linux)

iQIcBAABAgAGBQJRinNwAAoJEEFjO5/oN/WBflAP/16Xeiq5XSc1Azor+571SzQF
OfOZzWPF9vGrzZcYxd0RN3ENL9SwpLG9rf+sJPggc/+lHqijRZsJOkUM08qawZ7y
OXwic/mpb6VrSc3/aBExILPWzN8nifFASr307eV3YIffO23wiks/Hdje0eD0DSPi
NcHZihJGxB3GJPADAj0vLSeEYwaV92JFJSNObdvRKdsOg4asAJLtHbAZ/rt12EvA
Q8CpaUl++6wGLmi+dXbnT91xnVEtz9DCMP0Ak0SlAJdsbe9M5jd7Sp1x0N+uCiBN
21CGwDE2avg/XfNMfKaUMa6DVMIt+IyUb1td8FZvqsbTPALwiicweuUlmsWlgbgZ
6O9OEffAjAr0PJ23DGPS+C9bugzTdUXyOcxYi0OXSNcngqNguYy52doYaEewgJsM
pHoIgvO0GOGPypAwp18Oz3/uHoF336rnNGbWYwgSz0WOCkPJ6lDtTBJz1NpXVr7f
01ooPY7yZ2IfPNsnJRgtTB+Hspmnj/7AufVr/L4oz1PEJSEwNBPj/fqDvipp54gR
s9y/vLZdLfDE9jrb1RuUi9JiYlSVrq6r1KGipkW3q0JOEmel2mekFzeBiyVI5b2j
aLy7w9nxM5P/ntZnjGwseOf3tgiY4hAlkjHvv0qpiNJ/EkyTRA0qAqvQ4FtuFG/q
FNGywYFE9bQsFcW/EJL/
=32aF
-----END PGP SIGNATURE-----

--nextPart2205131.bOkyBq2AVo--




Information forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.

Message received at 14364 <at> debbugs.gnu.org:


Received: (at 14364) by debbugs.gnu.org; 8 May 2013 11:15:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 07:15:01 2013
Received: from localhost ([127.0.0.1]:33675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ua2Kn-0006cw-Ib
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 07:15:01 -0400
Received: from rambutan.cc.columbia.edu ([128.59.29.5]:56540)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rpf2116@HIDDEN>) id 1Ua2Kh-0006cH-QF
	for 14364 <at> debbugs.gnu.org; Wed, 08 May 2013 07:14:56 -0400
Received: from [192.168.1.104] (ool-457b0027.dyn.optonline.net [69.123.0.39])
	(user=rpf2116 mech=PLAIN bits=0)
	by rambutan.cc.columbia.edu (8.14.4/8.14.3) with ESMTP id
	r48BDgGB028392
	(version=TLSv1/SSLv3 cipher=AES128-SHA bits=128 verify=NOT);
	Wed, 8 May 2013 07:13:42 -0400 (EDT)
Subject: Re: bug#14364: Bug Report: Lacking '=' when specifying -soname
Mime-Version: 1.0 (Apple Message framework v1283)
Content-Type: text/plain; charset=iso-8859-1
From: Bob Fischer <rpf2116@HIDDEN>
In-Reply-To: <518A01A4.4040004@HIDDEN>
Date: Wed, 8 May 2013 07:13:41 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <AE892DCB-8A3E-44F5-8FDE-52E90FEE0B58@HIDDEN>
References: <51896DE4.7060301@HIDDEN> <518A01A4.4040004@HIDDEN>
To: Peter Rosin <peda@HIDDEN>
X-Mailer: Apple Mail (2.1283)
X-No-Spam-Score: Local
X-Scanned-By: MIMEDefang 2.68 on 128.59.29.5
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 14364
Cc: 14364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.6 (-----)

>=20
>=20
> So, the problem does not appear to be the command line libtool is
> generating. I.e., the problem appears to be elsewhere.

At the end of the day, things don't work.  I run the following on my =
configure script, and then things do work:
    sed -i 's/-soname \$wl/-soname=3D/g' configure

Thanks for digging up the stuff in the manuals.  Unfortunately, manuals =
don't always match reality.  This is not a stock GNU ld 2.20, but rather =
one that's been hacked by SLSE 11.
   GNU ld (GNU Binutils; SUSE Linux Enterprise 11) 2.20.0.20100122-0.7.9

That would make it technically a SUSE bug.  But maybe they don't care.  =
Or they've already fixed it  Or they think it's a feature, not a bug.  =
At the end of the day, scripts generated by libtool are broken.  =
Upgrading libtool is much easier than upgrading ld.  This is a shared =
system and I can't realistically use a different GNU ld; however, I can =
use a different libtool.

Since the two forms are supposed to be equivalent, would it be possible =
to change libtool to use the '=3D' form?  Or maybe make a change with =
smaller scope: use the '=3D' form for certain versions of GNU ld, maybe =
specific to SLES?

I'd also be relatively happy if there was a way I could build the =
configure.ac file to work around this problem --- in essence, override =
the '-soname' with '-soname=3D' coming from the standard libtool.  =
However, libtool looks like it's a little all-or-nothing, and not quite =
amenable to incremental overrides (hence the see hack).  I'm wondering =
if maybe generating '-soname=3D' for specific versions of SUSE ld would =
be the most expedient way to solve this problem.

Thanks,
-- Bob





Information forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.

Message received at 14364 <at> debbugs.gnu.org:


Received: (at 14364) by debbugs.gnu.org; 8 May 2013 07:42:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 08 03:42:39 2013
Received: from localhost ([127.0.0.1]:33536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZz1K-00020d-JG
	for submit <at> debbugs.gnu.org; Wed, 08 May 2013 03:42:39 -0400
Received: from mail.lysator.liu.se ([130.236.254.3]:40103)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <peda@HIDDEN>) id 1UZz1G-00020H-U7
	for 14364 <at> debbugs.gnu.org; Wed, 08 May 2013 03:42:36 -0400
Received: from mail.lysator.liu.se (localhost [127.0.0.1])
	by mail.lysator.liu.se (Postfix) with ESMTP id C46534001B;
	Wed,  8 May 2013 09:41:26 +0200 (CEST)
Received: from [192.168.0.64] (90-227-119-137-no95.business.telia.com
	[90.227.119.137])
	(using TLSv1 with cipher DHE-RSA-AES256-SHA (256/256 bits))
	(No client certificate requested)
	by mail.lysator.liu.se (Postfix) with ESMTPSA id 6E8AE4001A;
	Wed,  8 May 2013 09:41:26 +0200 (CEST)
Message-ID: <518A01A4.4040004@HIDDEN>
Date: Wed, 08 May 2013 09:41:24 +0200
From: Peter Rosin <peda@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
	rv:17.0) Gecko/20130328 Thunderbird/17.0.5
MIME-Version: 1.0
To: Bob Fischer <rpf2116@HIDDEN>
Subject: Re: bug#14364: Bug Report: Lacking '=' when specifying -soname
References: <51896DE4.7060301@HIDDEN>
In-Reply-To: <51896DE4.7060301@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14364
Cc: 14364 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On 2013-05-07 23:11, Bob Fischer wrote:
> The problem: libtool is generating a command line like
>     -Wl,-soname -Wl,libglint2.so.0
> instead of
>     -Wl,-soname=libglint2.so.0

Those two should be exactly equivalent, at least according to the
GNU ld manual. Quoting from section 2.1 "Command line options":

	Arguments to multiple-letter options must either be
	separated from the option name by an equals sign, or
	be given as separate arguments immediately following
	the option that requires them.  For example,
	`--trace-symbol foo' and `--trace-symbol=foo' are
	equivalent.  Unique abbreviations of the names of
	multiple-letter options are accepted.

AFAICT, that paragraph is the same in ld 2.20 and in current ld.

So, the problem does not appear to be the command line libtool is
generating. I.e., the problem appears to be elsewhere.

Cheers,
Peter





Information forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 May 2013 21:52:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 07 17:52:33 2013
Received: from localhost ([127.0.0.1]:33230 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZpoF-0003Sv-PZ
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 17:52:33 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41991)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rpf2116@HIDDEN>) id 1UZpnC-0003QF-PJ
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 17:51:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rpf2116@HIDDEN>) id 1UZpm6-00010w-3O
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 17:50:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.3 required=5.0 tests=BAYES_50,HTML_MESSAGE,
	RCVD_IN_DNSWL_MED,RECEIVED_FROM_WINDOWS_HOST,RP_MATCHES_RCVD
	autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:39249)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rpf2116@HIDDEN>) id 1UZpm6-00010s-0f
	for submit <at> debbugs.gnu.org; Tue, 07 May 2013 17:50:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53293)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rpf2116@HIDDEN>) id 1UZpm0-0000k4-MX
	for bug-libtool@HIDDEN; Tue, 07 May 2013 17:50:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <rpf2116@HIDDEN>) id 1UZplw-0000yp-SA
	for bug-libtool@HIDDEN; Tue, 07 May 2013 17:50:12 -0400
Received: from salak.cc.columbia.edu ([128.59.29.6]:58986)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <rpf2116@HIDDEN>) id 1UZplw-0000hh-Lg
	for bug-libtool@HIDDEN; Tue, 07 May 2013 17:50:08 -0400
Received: from [192.168.1.104] (ool-457b0027.dyn.optonline.net [69.123.0.39])
	(user=rpf2116 mech=PLAIN bits=0)
	by salak.cc.columbia.edu (8.14.4/8.14.3) with ESMTP id r47LB0ND002807
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <bug-libtool@HIDDEN>; Tue, 7 May 2013 17:11:01 -0400 (EDT)
Message-ID: <51896DE4.7060301@HIDDEN>
Date: Tue, 07 May 2013 17:11:00 -0400
From: Bob Fischer <rpf2116@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7;
	rv:17.0) Gecko/17.0 Thunderbird/17.0
MIME-Version: 1.0
To: bug-libtool@HIDDEN
Subject: Bug Report: Lacking '=' when specifying -soname
Content-Type: multipart/alternative;
	boundary="------------020801000709040401070007"
X-No-Spam-Score: Local
X-Scanned-By: MIMEDefang 2.68 on 128.59.29.6
X-detected-operating-system: by eggs.gnu.org: Windows NT kernel [generic]
	[fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 07 May 2013 17:52:30 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.2 (------)

This is a multi-part message in MIME format.
--------------020801000709040401070007
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

The problem: libtool is generating a command line like
     -Wl,-soname -Wl,libglint2.so.0
instead of
     -Wl,-soname=libglint2.so.0

This causes errors in make, like:

    /usr/bin/ld: libglint2.so.0: No such file: No such file or directory
    collect2: error: ld returned 1 exit status
    make: *** [libglint2.la] Error 1

I'm using the following latest versions of autotools:

    drwxrwx---  9 rpfische s1001   32768 2013-05-07 16:42 autoconf-2.69
    drwxr-x---  8 rpfische s1001   32768 2013-05-07 16:42 automake-1.13
    drwxrwx---  5 rpfische s1001   32768 2013-05-07 16:42 libtool-2.4.2
    drwxrwx--- 10 rpfische s1001   32768 2013-05-07 16:42 m4-1.4.16


I'm using g++ 4.7.1

    rpfische@dali14:~/git/glint2/slib> which g++
    /usr/local/other/SLES11/gcc/4.7.1/bin/g++


BUT... the OS is pretty old.  I believe it's SLES 11:

    rpfische@dali14:~/git/glint2/slib> uname -a
    Linux dali14 2.6.32.54-0.3-default #1 SMP 2012-01-27 17:38:56 +0100
    x86_64 x86_64 x86_64 GNU/Linux

    rpfische@dali14:~/git/glint2/slib> ld --version
    GNU ld (GNU Binutils; SUSE Linux Enterprise 11) 2.20.0.20100122-0.7.9
    Copyright 2009 Free Software Foundation, Inc.
    This program is free software; you may redistribute it under the
    terms of
    the GNU General Public License version 3 or (at your option) a later
    version.
    This program has absolutely no warranty.
    rpfische@dali14:~/git/glint2/slib> which ld
    /usr/bin/ld


I suspect that the syntax for '-soname' might have changed for ld, and 
that autotools is not correctly generating command line flags for this 
old ld that I'm using.  Things work just fine on MacPorts.

A fuller transcript follows.

-- Bob

===============================================

rpfische@dali14:~/git/glint2/slib> make
/bin/sh ../libtool  --tag=CXX   --mode=link 
/usr/local/other/SLES11/gcc/4.7.1/bin/g++ -std=c++11 -I../slib -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/include 
-I/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/eigen-3.1.3/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/include -I 
/home/rpfische/nobackup/opt-gcc-4.7.1/mpfr-3.1.2/include 
-I/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/include -pthread -I 
/usr/local/intel/mpi/3.2.2.006/lib64/include -frounding-math 
-I/usr/include/python2.6 -I/usr/include/python2.6 -fno-strict-aliasing 
-DNDEBUG -fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 
-fstack-protector -funwind-tables -fasynchronous-unwind-tables -g 
-fwrapv -I/usr/lib64/python2.6/site-packages/numpy/core/include -g -O2 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib -lnetcdf 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib -lnetcdf_c++ 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib 
-lnetcdff  -L/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib 
-lproj   -L/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib -lgmp   
-L/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib -lblitz 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/lib -lCGAL   
-L/usr/local/intel/mpi/3.2.2.006/lib64/lib -lmpi 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib -Wl,-rpath 
/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib -lboost_thread 
-lboost_system -pthread -lgfortran  -o libglint2.la -rpath 
/home/rpfische/nobackup/opt-gcc-4.7.1/glint2/lib geodesy.lo 
hsl_zd11_x.lo IndexTranslator.lo ncutil.lo Proj2.lo SparseMatrix.lo 
sparsemult.lo clippers.lo ExchangeGrid.lo GCMCoupler.lo 
GCMCoupler_MPI.lo Grid.lo Grid_LonLat.lo Grid_XY.lo GridDomain.lo 
GridDomain_Listed.lo gridutil.lo HeightClassifier.lo IceModel_DISMAL.lo 
IceSheet.lo IceSheet_L0.lo matrix_ops.lo MatrixMaker.lo grids_ll.lo 
glint2_modele.lo read_grid.lo read_icemodel.lo read_matrixmaker.lo 
f90blitz_f.lo glint2_modele_f.lo
libtool: link: /usr/local/other/SLES11/gcc/4.7.1/bin/g++  -fPIC -DPIC 
-shared -nostdlib /usr/lib/../lib64/crti.o 
/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/crtbeginS.o 
.libs/geodesy.o .libs/hsl_zd11_x.o .libs/IndexTranslator.o 
.libs/ncutil.o .libs/Proj2.o .libs/SparseMatrix.o .libs/sparsemult.o 
.libs/clippers.o .libs/ExchangeGrid.o .libs/GCMCoupler.o 
.libs/GCMCoupler_MPI.o .libs/Grid.o .libs/Grid_LonLat.o .libs/Grid_XY.o 
.libs/GridDomain.o .libs/GridDomain_Listed.o .libs/gridutil.o 
.libs/HeightClassifier.o .libs/IceModel_DISMAL.o .libs/IceSheet.o 
.libs/IceSheet_L0.o .libs/matrix_ops.o .libs/MatrixMaker.o 
.libs/grids_ll.o .libs/glint2_modele.o .libs/read_grid.o 
.libs/read_icemodel.o .libs/read_matrixmaker.o .libs/f90blitz_f.o 
.libs/glint2_modele_f.o   -Wl,-rpath 
-Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib -Wl,-rpath 
-Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib 
-Wl,-rpath -Wl,/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64 -Wl,-rpath 
-Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib -Wl,-rpath 
-Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib 
-Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib 
-Wl,-rpath -Wl,/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib 
/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib/libnetcdf_c++.so -L/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib 
/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib/libnetcdff.so 
/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib/libnetcdf.so 
-lcurl -L/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib 
/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib/libproj.so 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib 
/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib/libgmp.so 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib 
/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib/libblitz.a 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/lib -lCGAL 
-L/usr/local/intel/mpi/3.2.2.006/lib64/lib -lmpi 
-L/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib -lboost_thread 
-lboost_system 
/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libgfortran.so 
/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libquadmath.so 
-L/usr/local/other/SLES11/gcc/4.7.1/lib64/../lib64 
-L/usr/local/intel/mpi/3.2.2.006/lib64/../lib64 
-L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1 
-L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/../../../../lib64 
-L/lib/../lib64 -L/usr/lib/../lib64 
-L/usr/local/other/SLES11/gcc/4.7.1/lib64 
-L/usr/local/other/Git/1.7.3.4/lib 
-L/usr/local/intel/mpi/3.2.2.006/lib64 
-L/usr/local/intel/Composer/composer_xe_2013.3.163/compiler/lib/intel64 
-L/usr/local/intel/Composer/composer_xe_2013.3.163/ipp/lib/intel64 
-L/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/lib/intel64 
-L/usr/local/intel/Composer/composer_xe_2013.3.163/tbb/lib/intel64 
-L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/../../.. 
/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libstdc++.so -lm -lc 
-lgcc_s 
/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/crtendS.o 
/usr/lib/../lib64/crtn.o  -pthread -O2 -O2 -Wl,-rpath -pthread -pthread 
-Wl,-soname -Wl,libglint2.so.0 -o .libs/libglint2.so.0.0.0
/usr/bin/ld: libglint2.so.0: No such file: No such file or directory
collect2: error: ld returned 1 exit status
make: *** [libglint2.la] Error 1
rpfische@dali14:~/git/glint2/slib>




--------------020801000709040401070007
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

<html>
  <head>

    <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
    The problem: libtool is generating a command line like<br>
    &nbsp;&nbsp;&nbsp; -Wl,-soname -Wl,libglint2.so.0<br>
    instead of <br>
    &nbsp;&nbsp;&nbsp; -Wl,-soname=libglint2.so.0<br>
    <br>
    This causes errors in make, like:<br>
    <br>
    <blockquote>/usr/bin/ld: libglint2.so.0: No such file: No such file
      or directory<br>
      collect2: error: ld returned 1 exit status<br>
      make: *** [libglint2.la] Error 1<br>
    </blockquote>
    I'm using the following latest versions of autotools:<br>
    <blockquote>drwxrwx---&nbsp; 9 rpfische s1001&nbsp;&nbsp; 32768 2013-05-07 16:42
      autoconf-2.69<br>
      drwxr-x---&nbsp; 8 rpfische s1001&nbsp;&nbsp; 32768 2013-05-07 16:42
      automake-1.13<br>
      drwxrwx---&nbsp; 5 rpfische s1001&nbsp;&nbsp; 32768 2013-05-07 16:42
      libtool-2.4.2<br>
      drwxrwx--- 10 rpfische s1001&nbsp;&nbsp; 32768 2013-05-07 16:42 m4-1.4.16<br>
    </blockquote>
    <br>
    I'm using g++ 4.7.1<br>
    <br>
    <blockquote>rpfische@dali14:~/git/glint2/slib&gt; which g++<br>
      /usr/local/other/SLES11/gcc/4.7.1/bin/g++<br>
    </blockquote>
    <br>
    BUT... the OS is pretty old.&nbsp; I believe it's SLES 11:<br>
    <br>
    <blockquote>rpfische@dali14:~/git/glint2/slib&gt; uname -a<br>
      Linux dali14 2.6.32.54-0.3-default #1 SMP 2012-01-27 17:38:56
      +0100 x86_64 x86_64 x86_64 GNU/Linux<br>
      <br>
      rpfische@dali14:~/git/glint2/slib&gt; ld --version<br>
      GNU ld (GNU Binutils; SUSE Linux Enterprise 11)
      2.20.0.20100122-0.7.9<br>
      Copyright 2009 Free Software Foundation, Inc.<br>
      This program is free software; you may redistribute it under the
      terms of<br>
      the GNU General Public License version 3 or (at your option) a
      later version.<br>
      This program has absolutely no warranty.<br>
      rpfische@dali14:~/git/glint2/slib&gt; which ld<br>
      /usr/bin/ld<br>
    </blockquote>
    <br>
    I suspect that the syntax for '-soname' might have changed for ld,
    and that autotools is not correctly generating command line flags
    for this old ld that I'm using.&nbsp; Things work just fine on MacPorts.<br>
    <br>
    A fuller transcript follows.<br>
    <br>
    -- Bob<br>
    <br>
    ===============================================<br>
    <br>
    rpfische@dali14:~/git/glint2/slib&gt; make<br>
    /bin/sh ../libtool&nbsp; --tag=CXX&nbsp;&nbsp; --mode=link
    /usr/local/other/SLES11/gcc/4.7.1/bin/g++ -std=c++11 -I../slib -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/include
    -I/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/eigen-3.1.3/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/include -I
    /home/rpfische/nobackup/opt-gcc-4.7.1/mpfr-3.1.2/include
    -I/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/include
    -pthread -I /usr/local/intel/mpi/3.2.2.006/lib64/include
    -frounding-math -I/usr/include/python2.6 -I/usr/include/python2.6
    -fno-strict-aliasing -DNDEBUG -fmessage-length=0 -O2 -Wall
    -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables
    -fasynchronous-unwind-tables -g -fwrapv
    -I/usr/lib64/python2.6/site-packages/numpy/core/include -g -O2
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib -lnetcdf
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib
    -lnetcdf_c++
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib
    -lnetcdff&nbsp; -L/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib
    -lproj&nbsp;&nbsp; -L/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib
    -lgmp&nbsp;&nbsp; -L/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib
    -lblitz -L/home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/lib
    -lCGAL&nbsp;&nbsp; -L/usr/local/intel/mpi/3.2.2.006/lib64/lib -lmpi
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib -Wl,-rpath
    /home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib
    -lboost_thread -lboost_system -pthread -lgfortran&nbsp; -o libglint2.la
    -rpath /home/rpfische/nobackup/opt-gcc-4.7.1/glint2/lib geodesy.lo
    hsl_zd11_x.lo IndexTranslator.lo ncutil.lo Proj2.lo SparseMatrix.lo
    sparsemult.lo clippers.lo ExchangeGrid.lo GCMCoupler.lo
    GCMCoupler_MPI.lo Grid.lo Grid_LonLat.lo Grid_XY.lo GridDomain.lo
    GridDomain_Listed.lo gridutil.lo HeightClassifier.lo
    IceModel_DISMAL.lo IceSheet.lo IceSheet_L0.lo matrix_ops.lo
    MatrixMaker.lo grids_ll.lo glint2_modele.lo read_grid.lo
    read_icemodel.lo read_matrixmaker.lo f90blitz_f.lo
    glint2_modele_f.lo&nbsp; <br>
    libtool: link: /usr/local/other/SLES11/gcc/4.7.1/bin/g++&nbsp; -fPIC
    -DPIC -shared -nostdlib /usr/lib/../lib64/crti.o
    /usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/crtbeginS.o&nbsp;
    .libs/geodesy.o .libs/hsl_zd11_x.o .libs/IndexTranslator.o
    .libs/ncutil.o .libs/Proj2.o .libs/SparseMatrix.o .libs/sparsemult.o
    .libs/clippers.o .libs/ExchangeGrid.o .libs/GCMCoupler.o
    .libs/GCMCoupler_MPI.o .libs/Grid.o .libs/Grid_LonLat.o
    .libs/Grid_XY.o .libs/GridDomain.o .libs/GridDomain_Listed.o
    .libs/gridutil.o .libs/HeightClassifier.o .libs/IceModel_DISMAL.o
    .libs/IceSheet.o .libs/IceSheet_L0.o .libs/matrix_ops.o
    .libs/MatrixMaker.o .libs/grids_ll.o .libs/glint2_modele.o
    .libs/read_grid.o .libs/read_icemodel.o .libs/read_matrixmaker.o
    .libs/f90blitz_f.o .libs/glint2_modele_f.o&nbsp;&nbsp; -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib
    -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib
    -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib
    -Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib
    -Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib
    -Wl,-rpath -Wl,/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64
    -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib
    -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib
    -Wl,-rpath
    -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib
    -Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib
    -Wl,-rpath -Wl,/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib
    -Wl,-rpath -Wl,/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib
    /home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-cxx-4.2/lib/libnetcdf_c++.so
    -L/usr/local/other/SLES11/gcc/4.7.1/lib/../lib64
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib
    /home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-fortran-4.2/lib/libnetcdff.so
    /home/rpfische/nobackup/opt-gcc-4.7.1/netcdf-4.3.0/lib/libnetcdf.so
    -lcurl -L/home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib
    /home/rpfische/nobackup/opt-gcc-4.7.1/proj-4.8.0/lib/libproj.so
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib
    /home/rpfische/nobackup/opt-gcc-4.7.1/gmp-5.1.1/lib/libgmp.so
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib
    /home/rpfische/nobackup/opt-gcc-4.7.1/blitz-0.10/lib/libblitz.a
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/cgal-4.0.2/lib -lCGAL
    -L/usr/local/intel/mpi/3.2.2.006/lib64/lib -lmpi
    -L/home/rpfische/nobackup/opt-gcc-4.7.1/boost-1.53.0/lib
    -lboost_thread -lboost_system
    /usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libgfortran.so
    /usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libquadmath.so
    -L/usr/local/other/SLES11/gcc/4.7.1/lib64/../lib64
    -L/usr/local/intel/mpi/3.2.2.006/lib64/../lib64
    -L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1
    -L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/../../../../lib64
    -L/lib/../lib64 -L/usr/lib/../lib64
    -L/usr/local/other/SLES11/gcc/4.7.1/lib64
    -L/usr/local/other/Git/1.7.3.4/lib
    -L/usr/local/intel/mpi/3.2.2.006/lib64
    -L/usr/local/intel/Composer/composer_xe_2013.3.163/compiler/lib/intel64
    -L/usr/local/intel/Composer/composer_xe_2013.3.163/ipp/lib/intel64
    -L/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/lib/intel64
    -L/usr/local/intel/Composer/composer_xe_2013.3.163/tbb/lib/intel64
    -L/usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/../../..
    /usr/local/other/SLES11/gcc/4.7.1/lib/../lib64/libstdc++.so -lm -lc
    -lgcc_s
    /usr/local/other/SLES11/gcc/4.7.1/lib/gcc/x86_64-unknown-linux-gnu/4.7.1/crtendS.o
    /usr/lib/../lib64/crtn.o&nbsp; -pthread -O2 -O2 -Wl,-rpath -pthread&nbsp;&nbsp;
    -pthread -Wl,-soname -Wl,libglint2.so.0 -o .libs/libglint2.so.0.0.0<br>
    /usr/bin/ld: libglint2.so.0: No such file: No such file or directory<br>
    collect2: error: ld returned 1 exit status<br>
    make: *** [libglint2.la] Error 1<br>
    rpfische@dali14:~/git/glint2/slib&gt; <br>
    <br>
    <br>
    <br>
  </body>
</html>

--------------020801000709040401070007--




Acknowledgement sent to Bob Fischer <rpf2116@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#14364; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.